# Class: Haml::AttributeCompiler::AttributeValue

Inherits:
  Struct
  - Object
  - Struct
  - Haml::AttributeCompiler::AttributeValue
  show all

Defined in:
  lib/haml/attribute_compiler.rb

## Overview

## Instance Attribute Summary collapse

- #key ⇒ Object

  Returns the value of attribute key.

- #type ⇒ Object

  Returns the value of attribute type.

- #value ⇒ Object

  Returns the value of attribute value.

## Instance Attribute Details

### #key ⇒ `Object`

Returns the value of attribute key

Returns:

- (`Object`) —

  the current value of key

    10
    11
    12

    # File 'lib/haml/attribute_compiler.rb', line 10

    def key
      @key
    end

### #type ⇒ `Object`

Returns the value of attribute type

Returns:

- (`Object`) —

  the current value of type

    10
    11
    12

    # File 'lib/haml/attribute_compiler.rb', line 10

    def type
      @type
    end

### #value ⇒ `Object`

Returns the value of attribute value

Returns:

- (`Object`) —

  the current value of value

    10
    11
    12

    # File 'lib/haml/attribute_compiler.rb', line 10

    def value
      @value
    end